| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Strat::LeafUnitRef Class Reference
Strat

UnitRef for layers. More...

`#include <stratunitref.h>`

Inheritance diagram for Strat::LeafUnitRef:
[legend]

## Public Member Functions
| LeafUnitRef (NodeUnitRef *, const LithologyID &lithid=LithologyID::udf(), const char *desc=nullptr)
| ~LeafUnitRef ()
const OD::String & | code () const override
OD::Color | dispColor (bool lith_else_upnode) const
const LeafUnitRef * | firstLeaf () const override
const Lithology & | getLithology () const
void | getPropsFrom (const IOPar &) override
bool | hasChildren () const override
bool | isUndef () const override
int | level () const override
LithologyID | lithology () const
void | setLithology (const LithologyID &)
Type | type () const override
Public Member Functions inherited from Strat::UnitRef
| UnitRef (NodeUnitRef *, const char *d=nullptr)
virtual | ~UnitRef ()
OD::Color | color () const
const OD::String & | description () const
CompoundKey | fullCode () const
bool | isBelow (const UnitRef *) const
| is given ref parent, grandparent, grandgrand...
virtual bool | isEmpty () const
bool | isLeaf () const
bool | isLeaved () const
virtual bool | isParentOf (const UnitRef &) const
CompoundKey | parentCode () const
IOPar & | pars ()
const IOPar & | pars () const
bool | precedes (const UnitRef &) const
| in terms of iterating through tree
virtual void | putPropsTo (IOPar &) const
RefTree & | refTree ()
const RefTree & | refTree () const
virtual void | setCode (const char *)
void | setColor (OD::Color)
virtual void | setDescription (const char *d)
void | setUpNode (NodeUnitRef *newpar)
NodeUnitRef * | topNode ()
const NodeUnitRef * | topNode () const
int | treeDepth () const
NodeUnitRef * | upNode (int skip=0)
const NodeUnitRef * | upNode (int skip=0) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | fill (BufferString &bs) const override
void | use (const char *s) override
Protected Member Functions inherited from Strat::UnitRef
void | doFill (BufferString &, int) const
void | doUse (const char *, int *)
void | notifChange (bool isrem=false)

## Protected Attributes
LithologyID | lith_
Protected Attributes inherited from Strat::UnitRef
OD::Color | color_
BufferString | desc_
IOPar | pars_
NodeUnitRef * | upnode_

## Additional Inherited Members
Public Types inherited from Strat::UnitRef
enum | Type { NodeOnly , Leaved , Leaf }
Static Public Member Functions inherited from Strat::UnitRef
static const char * | sKeyPropsFor ()
static const char * | sKeyTreeProps ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from Strat::UnitRef
Notifier< UnitRef > | changed
Notifier< UnitRef > | toBeDeleted

## Detailed Description

UnitRef for layers.

<>

## Constructor & Destructor Documentation

## ◆ LeafUnitRef()

Strat::LeafUnitRef::LeafUnitRef | ( | NodeUnitRef * | ,
|  | const LithologyID & | lithid = LithologyID::udf(),
|  | const char * | desc = nullptr )

## ◆ ~LeafUnitRef()

Strat::LeafUnitRef::~LeafUnitRef | ( |  | ) |

## Member Function Documentation

## ◆ code()

const OD::String & Strat::LeafUnitRef::code | ( |  | ) | const
| override virtual

Implements Strat::UnitRef.

## ◆ dispColor()

OD::Color Strat::LeafUnitRef::dispColor | ( | bool | lith_else_upnode | ) | const

## ◆ fill()

void Strat::LeafUnitRef::fill | ( | BufferString & | bs | ) | const
| inline override protected virtual

Reimplemented from Strat::UnitRef.

## ◆ firstLeaf()

const LeafUnitRef * Strat::LeafUnitRef::firstLeaf | ( |  | ) | const
| inline override virtual

Implements Strat::UnitRef.

## ◆ getLithology()

const Lithology & Strat::LeafUnitRef::getLithology | ( |  | ) | const

## ◆ getPropsFrom()

void Strat::LeafUnitRef::getPropsFrom | ( | const IOPar & |  | ) |
| override virtual

Reimplemented from Strat::UnitRef.

## ◆ hasChildren()

bool Strat::LeafUnitRef::hasChildren | ( |  | ) | const
| inline override virtual

Implements Strat::UnitRef.

## ◆ isUndef()

bool Strat::LeafUnitRef::isUndef | ( |  | ) | const
| override virtual

Reimplemented from Strat::UnitRef.

## ◆ level()

int Strat::LeafUnitRef::level | ( |  | ) | const
| inline override virtual

Implements Strat::UnitRef.

## ◆ lithology()

LithologyID Strat::LeafUnitRef::lithology | ( |  | ) | const
| inline

## ◆ setLithology()

void Strat::LeafUnitRef::setLithology | ( | const LithologyID & |  | ) |

## ◆ type()

Type Strat::LeafUnitRef::type | ( |  | ) | const
| inline override virtual

Implements Strat::UnitRef.

## ◆ use()

void Strat::LeafUnitRef::use | ( | const char * | s | ) |
| override protected virtual

Reimplemented from Strat::UnitRef.

## Member Data Documentation

## ◆ lith_

LithologyID Strat::LeafUnitRef::lith_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025